Problem using Eclipse Update Site

Hallo,

ich habe ein Problem mit der Installation von UML Lab in Eclipse. Ich benutze Eclipse 3.7 auf Mac OS. Ich habe es sowohl über den Marketplace als auch über Help>Install New Software versucht und bekomme immer den selben Fehler:

An error occurred while collecting items to be installed
session context was:(profile=epp.package.java, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,com.google.inject,2.0.0.v201105231817
No repository found containing: osgi.bundle,org.antlr.runtime,3.2.0.v201101311130
No repository found containing: osgi.bundle,org.aopalliance,1.0.0.v201105210816
No repository found containing: osgi.bundle,org.apache.batik.bridge,1.6.0.v201011041432
No repository found containing: osgi.bundle,org.apache.batik.css,1.6.0.v201011041432
No repository found containing: osgi.bundle,org.apache.batik.dom,1.6.0.v201011041432
No repository found containing: osgi.bundle,org.apache.batik.dom.svg,1.6.0.v201011041432
No repository found containing: osgi.bundle,org.apache.batik.ext.awt,1.6.0.v201011041432
No repository found containing: osgi.bundle,org.apache.batik.parser,1.6.0.v201011041432
No repository found containing: osgi.bundle,org.apache.batik.pdf,1.6.0.v201105071520
No repository found containing: osgi.bundle,org.apache.batik.svggen,1.6.0.v201011041432
No repository found containing: osgi.bundle,org.apache.batik.transcoder,1.6.0.v201011041432
No repository found containing: osgi.bundle,org.apache.batik.util,1.6.0.v201011041432
No repository found containing: osgi.bundle,org.apache.batik.util.gui,1.6.0.v201011041432
No repository found containing: osgi.bundle,org.apache.batik.xml,1.6.0.v201011041432
No repository found containing: osgi.bundle,org.apache.commons.cli,1.2.0.v201105210650
No repository found containing: osgi.bundle,org.apache.log4j,1.2.15.v201012070815
No repository found containing: osgi.bundle,org.eclipse.emf.ant,2.7.0.v20100905-1633
No repository found containing: osgi.bundle,org.eclipse.emf.codegen,2.6.0.v20110606-0949
No repository found containing: osgi.bundle,org.eclipse.emf.codegen.ecore,2.7.0.v20110606-0949
No repository found containing: osgi.bundle,org.eclipse.emf.codegen.ecore.ui,2.7.0.v20110606-0949
No repository found containing: osgi.bundle,org.eclipse.emf.compare,1.2.0.v20110607-2028
No repository found containing: osgi.bundle,org.eclipse.emf.compare.diff.edit,1.2.0.v20110607-2028
No repository found containing: osgi.bundle,org.eclipse.emf.compare.epatch,1.2.0.v20110607-2028
No repository found containing: org.eclipse.update.feature,org.eclipse.emf.compare,1.2.0.v20110607-2028
No repository found containing: binary,org.eclipse.emf.compare_root,1.2.0.v20110607-2028
No repository found containing: osgi.bundle,org.eclipse.emf.converter,2.5.0.v20110606-0949
No repository found containing: osgi.bundle,org.eclipse.emf.databinding,1.2.0.v20110606-0949
No repository found containing: osgi.bundle,org.eclipse.emf.databinding.edit,1.2.0.v20110606-0949
No repository found containing: osgi.bundle,org.eclipse.emf.ecore.editor,2.7.0.v20110606-0949
No repository found containing: osgi.bundle,org.eclipse.emf.mapping.ecore2xml,2.7.0.v20110331-2022
No repository found containing: osgi.bundle,org.eclipse.emf.mwe.core,1.1.0.v201106070424
No repository found containing: osgi.bundle,org.eclipse.emf.mwe.ui,1.1.0.v201106070424
No repository found containing: osgi.bundle,org.eclipse.emf.mwe.utils,1.1.0.v201106070424
No repository found containing: osgi.bundle,org.eclipse.emf.mwe2.runtime,2.0.0.v201106070424
No repository found containing: osgi.bundle,org.eclipse.gmf.runtime.common.core,1.4.1.v20101119-2230
No repository found containing: osgi.bundle,org.eclipse.gmf.runtime.common.ui,1.5.0.v20101221-2230
No repository found containing: osgi.bundle,org.eclipse.gmf.runtime.draw2d.ui,1.5.0.v20110505-2230
No repository found containing: osgi.bundle,org.eclipse.gmf.runtime.gef.ui,1.4.1.v20101222-2230
No repository found containing: org.eclipse.update.feature,org.eclipse.mylyn.trac_feature,3.6.0.v20110608-1400
No repository found containing: osgi.bundle,org.eclipse.ocl,3.1.0.v20110606-1427
No repository found containing: osgi.bundle,org.eclipse.ocl.ecore,3.1.0.v20110510-2118
No repository found containing: osgi.bundle,org.eclipse.ocl.uml,3.1.0.v20110606-1427
No repository found containing: osgi.bundle,org.eclipse.uml2,3.2.0.v201101271655
No repository found containing: osgi.bundle,org.eclipse.uml2.codegen.ecore,1.7.0.v201105172306
No repository found containing: osgi.bundle,org.eclipse.uml2.codegen.ecore.ui,1.6.100.v201008301510
No repository found containing: osgi.bundle,org.eclipse.uml2.common,1.6.0.v201105021727
No repository found containing: org.eclipse.update.feature,org.eclipse.uml2,3.2.0.v201105231350
No repository found containing: osgi.bundle,org.eclipse.uml2.uml.ecore.exporter,2.4.100.v201008301510
No repository found containing: osgi.bundle,org.eclipse.uml2.uml.ecore.importer,2.4.100.v201008301510
No repository found containing: osgi.bundle,org.eclipse.uml2.uml.edit,3.1.100.v201009281840
No repository found containing: osgi.bundle,org.eclipse.uml2.uml.editor,3.1.100.v201009281840
No repository found containing: osgi.bundle,org.eclipse.uml2.uml.resources,3.1.100.v201008191510
No repository found containing: osgi.bundle,org.eclipse.xpand.activities,1.0.1.v201106070515
No repository found containing: org.eclipse.update.feature,org.eclipse.xpand,1.1.0.v201106070515
No repository found containing: org.eclipse.update.feature,org.eclipse.xpand.ui,1.1.0.v201106070515
No repository found containing: binary,org.eclipse.xpand.ui_root,1.1.0.v201106070515
No repository found containing: binary,org.eclipse.xpand_root,1.1.0.v201106070515
No repository found containing: osgi.bundle,org.eclipse.xtend.check.ui,1.0.1.v201106070515
No repository found containing: org.eclipse.update.feature,org.eclipse.xtend.dependencies,1.1.0.v201106070515
No repository found containing: binary,org.eclipse.xtend.dependencies_root,1.1.0.v201106070515
No repository found containing: org.eclipse.update.feature,org.eclipse.xtend,1.1.0.v201106070515
No repository found containing: osgi.bundle,org.eclipse.xtend.profiler,1.0.1.v201106070515
No repository found containing: org.eclipse.update.feature,org.eclipse.xtend.typesystem.emf,1.1.0.v201106070515
No repository found containing: osgi.bundle,org.eclipse.xtend.typesystem.emf.ui,1.0.1.v201106070515
No repository found containing: binary,org.eclipse.xtend.typesystem.emf_root,1.1.0.v201106070515
No repository found containing: org.eclipse.update.feature,org.eclipse.xtend.typesystem.uml2,1.1.0.v201106070515
No repository found containing: binary,org.eclipse.xtend.typesystem.uml2_root,1.1.0.v201106070515
No repository found containing: osgi.bundle,org.eclipse.xtend.ui,1.0.1.v201106070515
No repository found containing: org.eclipse.update.feature,org.eclipse.xtend.ui,1.1.0.v201106070515
No repository found containing: binary,org.eclipse.xtend.ui_root,1.1.0.v201106070515
No repository found containing: binary,org.eclipse.xtend_root,1.1.0.v201106070515
No repository found containing: osgi.bundle,org.w3c.css.sac,1.3.1.v200903091627
No repository found containing: osgi.bundle,org.w3c.dom.events,3.0.0.draft20060413_v201105210656
No repository found containing: osgi.bundle,org.w3c.dom.svg,1.1.0.v201011041433

Woran kann das liegen bzw. wie kann ich es lösen?

Vielen Dank,

Moritz

Comments

  • Hallo,

    mit einem frischen DOwnload von Eclipse hat die Installation problemlos funktioniert. Kann es Probleme geben, da mein Eclipse ursprünglich 3.6 war und über Eclipse internen Updater auf 3.7 aktualisiert wurde? Ich habe auch versucht, alle Update-Seiten des frischen Downloads in meine Eclipse-Installation zu importieren, auch das hat nichts gebracht. Im Anhang ein Screenshot welches meine weiteren installierten Plugins zeigt, vielleicht hilft das weiter.

    Moritz
  • Hallo Moritz,

    ich vermute Du hattest entweder die Eclipse Indigo Update Sites deaktiviert oder nicht den Haken bei "Contact all update sites during install to find required software" gesetzt.

    Aber schön, dass es dann letztendlich noch geklappt hat.

    Viele Grüße
    Manuel Bork
Sign In or Register to comment.